# W A R N I N G -- DO NOT EDIT THIS FILE -- W A R N I N G
#
# postfix.spec
#
# This file is generated automatically from postfix.spec.in in the SOURCES
# directory.  If you want to build postfix with other options see
# make-postfix.spec in the same directory for instructions.
# --
# $Id: postfix.spec.in,v 2.291 2004/05/04 21:35:09 sjmudd Exp $
#
# File used to generate the distribution-specific postfix.spec file.
# If you need to make changes to postfix.spec, make them to postfix.spec.in
# and regenerate the spec file.
#
# See make-postfix.spec in %{_sourcedir} for more information.
#
# This spec file was built on distribution: redhat-7.3
#
# Information imported from postfix.spec.in: DO NOT CHANGE IT BY HAND
#
# ldap                     - include LDAP support
# mysql                    - include support for www.mysql.com's MySQL rpms
# mysql_redhat             - include support for RedHat's MySQL rpms
# mysql_paths              - path where locally installed MySQL resides (or 0)
# mysql_query              - include support for writing full select statements
#                            in mysql maps
# pcre                     - include pcre support
# pgsql                    - include Postgres database support
# pgsql2                   - experimental postgres patches by George Barbarosie
#                            <georgeb@intelinet.ro>: needs pgsql=1
# sasl                     - include SASL/AUTH support (0 to disable sasl,
#                            1 for sasl v1, or 2 for sasl v2, sasl_library is
#                            the sasl library to link against, distribution dependent)
# cdb                      - include CDB support by Michael Tokarev
#                            <mjt@corpit.ru>
# ipv6                     - include IPV6 support
# tls                      - include TLS support
# tlsfix                   - include TLS fix (apparently needed for rh6.2)
#                          - (also include for rh9)
# requires_init_d          - set according to distribution: default: 1, 0 for RH<=6, Mandrake<=7
# requires_db              - used to add dbX dependencies in the package
# include_db               - include the dbX library when compiling (rh6.x with db3)
# smtpd_multiline_greeting - my patch to allow multiline banner
# vda                      - add virtual delivery agent patch
# mps			   - man page suffix, .gz except Mandrake 8 which uses .bz2
#
# Please send bugfixes and comments to the packager.
#
# distribution which the spec file was built from
%define distribution redhat-7.3
# distribution which we are building Postfix on
%define build_dist %(sh $(rpm --eval '%{_sourcedir}')/postfix-get-distribution)
%define build_dist_full %(sh $(rpm --eval '%{_sourcedir}')/postfix-get-distribution --full)
%define mps .gz
%define cdb 0
%define ldap 1
%define mysql 0
%define mysql_redhat 0
%define mysql_paths 0
%define mysql_local %(test "%{mysql_paths}" != 0 && echo 1 || echo 0)
%define mysql_include %(echo "%{mysql_paths}" | cut -d: -f1)
%define mysql_lib %(echo "%{mysql_paths}" | cut -d: -f2)
%define mysql_query 0
%define pcre 0
# determine PCRE library based on distribution name
%define pcre_requires %(test %{build_dist} = mandrake && echo libpcre0 || echo pcre)
%define pgsql 0
%define pgsql2 0
%define sasl 0
# determine SASL library based on distribution name
%define sasl_library %(test %{build_dist} = mandrake && echo libsasl-devel || echo cyrus-sasl-devel)
%define tls 0
%define tlsfix 0
%define include_db 0
%define requires_db 3
%define requires_zlib 0
%define requires_init_d 1
%define smtpd_multiline_greeting 1
%define vda 0
%define ipv6 0

# start to support the conditional builds via rpm's --with debug
%define debug %{?_with_debug:1}%{?!_with_debug:0}

# patch version information
%define vda_version 2.1.0
%define tls_version pfixtls-0.8.18-2.1.0-0.9.7d
%define pg_version 2.0.0.2
%define ipv6_version tls+ipv6-1.23-pf-2.1.0
%define cdb_version 1.1.11-20021104

# If set to 1 if official version, 0 if snapshot
%define official 1
%define ver 2.1.1
%define mail_release_date RC4-20040418
%define rel 1.rh73
%if %{official}
%define tarball_version %{ver}
%define ftp_dir official
%else
%define tarball_version %{ver}-%{mail_release_date}
%define ftp_dir experimental
%endif
# rpm does not accept '-' in version strings so replace them with a '.'
# - (only affects snapshots)
%define package_version %(echo %{tarball_version} | sed 's/-/./g')

# rpm-workaround:
#
# We can NOT use %{_docdir}/%{name}-%{version} for installing the docs
# from the 'install' section as RPM kindly removes this directory after
# we have installed files to it. (standard part of 'doc' processing!)
#
#define docdir %{_docdir}/%{name}-%{version}
%define docdir %{_docdir}/%{name}-%{ver}-documentation
%define readme_dir %{docdir}/readme
%define html_dir   %{docdir}/html

%define newaliases_path %{_bindir}/newaliases.postfix
%define mailq_path %{_bindir}/mailq.postfix
%define rmail_path %{_bindir}/rmail.postfix
%define sendmail_path %{_sbindir}/sendmail.postfix

%define init_directory /etc/rc.d/init.d

%define postfinger postfinger-1.29
%define whinge /usr/bin/logger -p mail.info -t postfix/rpm
%define die_cmd die(){ %whinge "$*"; exit 1; }

Name: postfix
Group: System Environment/Daemons
URL: http://www.postfix.org
License: IBM Public License
PreReq: chkconfig, initscripts, shadow-utils
%if %{requires_init_d}
PreReq: /etc/init.d, /sbin/service
%endif
Epoch: 2

Provides: MTA smtpd smtpdaemon
Provides: %{_sbindir}/sendmail %{_bindir}/mailq %{_bindir}/newaliases
Provides: %{_bindir}/rmail

Version: %{package_version}
Release: %{rel}
Packager: Simon J Mudd <sjmudd@pobox.com>
Summary: Postfix Mail Transport Agent
Vendor: Built on %{build_dist_full} (%{build_dist})
Source0: ftp://ftp.porcupine.org/mirrors/postfix-release/%{ftp_dir}/postfix-%{tarball_version}.tar.gz
Source2: postfix-get-distribution
Source3: postfix-etc-init.d-postfix
Source4: postfix-chroot.sh
Source5: postfix-aliases
Source7: postfix.spec.in
Source8: make-postfix.spec
Source9: ftp://ftp.aet.tu-cottbus.de/pub/postfix_tls/%{tls_version}.tar.gz
Source10: README-Postfix-SASL-RedHat.txt
Source12: http://www.corpit.ru/ftp/postfix/postfix-dict_cdb-%{cdb_version}.tar.gz
Source14: ftp://ftp.stack.nl/pub/postfix/tls+ipv6/current/%{ipv6_version}.patch.gz
Source16: http://postfix.wl0.org/ftp/postfinger/%{postfinger}
# Sources >= 100 are config files
Source100: postfix-sasl.conf
Source101: postfix-pam.conf
Source102: postfix-saslauthd.conf

# Obligatory Patches
Patch2: postfix-smtp_sasl_proto.c.patch
Patch3: postfix-files.patch

# Optional patches
Patch4: http://web.onda.com.br/nadal/postfix/VDA/postfix-%{vda_version}.patch.gz
Patch5: postfix-mysql_query.patch
Patch50: http://www.mat.cc/postfix/postfix-pg.postfix-%{pg_version}.patch
Patch51: postfix-pg-raw.patch
Patch99: ftp://ftp.wl0.org/SOURCES/postfix-2.0.16-20031026-multiline-greeting.patch

BuildRoot: %{_tmppath}/postfix-%{package_version}-buildroot

# Determine packaging requirements
BuildRequires: /usr/bin/cc, gawk, sed, ed, patch, rpm >= 4
Requires: gawk, sed, ed

%if %{requires_db}
Requires: db%{requires_db}
BuildRequires: db%{requires_db}-devel
%endif

%if %{cdb}
Requires: tinycdb
BuildRequires: tinycdb
%endif

%if %{ldap}
Requires: openldap >= 1.2.9
BuildRequires: openldap-devel >= 1.2.9
%endif

%if %{pcre}
Requires: %{pcre_requires}
BuildRequires: %{pcre_requires}, %{pcre_requires}-devel
%endif

# Needed by some Mysql and some TLS packages
%if %{requires_zlib}
Requires: zlib
BuildRequires: zlib-devel
%endif

%if %{mysql_redhat}
Requires: mysql
BuildRequires: mysql, mysql-devel
%endif

%if %{mysql_local}
BuildRequires: %{mysql_include}/mysql.h
Requires: %{mysql_lib}/libmysqlclient.so
%endif

%if %{mysql}
Requires: MySQL-shared
BuildRequires: MySQL-shared, MySQL-devel
%endif

%if %{pgsql}
Requires: postgresql-libs
BuildRequires: postgresql-devel
%endif

%if %{sasl}
Requires: cyrus-sasl
BuildRequires: cyrus-sasl, %{sasl_library}
%endif

%if %{tls}
Requires: openssl
BuildRequires: openssl-devel
%endif

%description
Postfix is a Mail Transport Agent (MTA), intended to be an alternative
to the widely-used sendmail.  This package includes optional support for
LDAP, pcre, mysql, SMTP AUTH (SASL) and TLS.

See http://www.redhat.com/support/docs/faqs/RH-postfix-FAQ/book1.html,
a slightly outdated FAQ, which covers the steps involved in installing
and configuring postfix.

The binary and source rpms I produce are currently available at
	http://postfix.WL0.org, ftp://ftp.WL0.org
and the mirrors which can be found at the following URL:
	http://postfix.WL0.org/en/mirrors/

This package/specfile was built from postfix.spec.in $Revision: 2.291 $.
To see the build options used to build this package see the file %{_sysconfdir}/postfix/postfix.spec.cf

To use postfix with alternative options download the source package and
rebuild the binary package following the instructions in the source
package or on my web page.

%prep
umask 022

%{die_cmd}

# Warn if the distribution this spec file was made for isn't the same as
# the current distribution, using a script in the SOURCES directory.
# This will be removed and built into the spec file later.

distribution=$(sh $(rpm --eval '%{_sourcedir}')/postfix-get-distribution)

if [ "${distribution}" != "%{distribution}" ]; then
    cat <<ENDTEXT
ERROR ERROR ERROR ERROR ERROR ERROR ERROR ERROR ERROR ERROR ERROR ERROR

This postfix.spec file was built for %{distribution}, while you are
running ${distribution}.  It may not work correctly.  Rebuild postfix.spec
for your distribution as follows:

	cd `rpm --eval '%{_sourcedir}'`
	# define the POSTFIX_XXX variables according to your requirements
	# see make-postfix.spec for more information
	sh make-postfix.spec

Once you have rebuilt postfix.spec, you build the RPMs as follows:

	cd `rpm --eval '%{_specdir}'`
	rpmbuild -ba postfix.spec

If this procedure does not allow you to produce a working package, please
let me know.

ERROR ERROR ERROR ERROR ERROR ERROR ERROR ERROR ERROR ERROR ERROR ERROR
ENDTEXT
	exit 1
fi

%setup -q -n postfix-%{tarball_version} -a 9

# Apply the TLS patch first, because of the changes to master.cf
# Note: IPv6 patches include the TLS patches
%if %{tls} && ! %{ipv6}
  patch -p1 <%{tls_version}/pfixtls.diff
%endif
%if %{ipv6}
  test -e  %{SOURCE14} && \
  gzip -dc %{SOURCE14} | patch -p1 -b --suffix .ipv6 || \
    die "%{SOURCE14} not found or patch failed"
%endif

# Apply obligatory patches
%patch2 -p1 -b .auth
%patch3 -p1 -b .alternatives

# Apply optional patches
%if %{cdb}
%setup -n postfix-%{tarball_version} -D -T -a 12
sh dict_cdb.sh
%endif

%if %{vda}
  test -e  %{_sourcedir}/postfix-%{vda_version}.patch.gz && \
  gzip -dc %{_sourcedir}/postfix-%{vda_version}.patch.gz | patch -p1 -b --suffix .vda -s || \
    die "%{_sourcedir}/postfix-%{vda_version}.patch.gz not found or patch failed"
%endif

%if %{mysql_query}
%patch5 -p1 -b .mysql_query
%endif

# Apply the PostgreSQL patches only if required
%if %{pgsql}
%patch50 -p1 -b .pg
%endif
%if %{pgsql2}
%patch51 -p1 -b .pgraw
%endif

%if %{smtpd_multiline_greeting}
%patch99 -p1 -b .multiline
%endif

%if %{tls}
# Move postfix/tls docs into TLS dir
mkdir TLS
mv %{tls_version}/doc/* TLS/
for i in ACKNOWLEDGEMENTS CHANGES INSTALL README TODO; do
  mv %{tls_version}/$i $i.TLS
done
%endif

# Modify master.cf: rmail --> rmail.postfix
ed conf/master.cf <<EOF || exit 1
%s/rmail/rmail.postfix/
w
q
EOF

%build
umask 022

CCARGS=
AUXLIBS=

%ifarch s390 s390x ppc
CCARGS="${CCARGS} -fsigned-char"
%endif

%if %{include_db}
  # Currently required by rh6x, perhaps tidy this up later
  CCARGS="-I/usr/include/db%{requires_db} ${CCARGS}"
  AUXLIBS="${AUXLIBS} -ldb-3.1"
%endif

%if %{cdb}
  CCARGS="${CCARGS} -DHAS_CDB"
  AUXLIBS="${AUXLIBS} -lcdb"
%endif

%if %{ldap}
  CCARGS="${CCARGS} -DHAS_LDAP"
  AUXLIBS="${AUXLIBS} -L/usr/%{_lib} -lldap -llber"
%endif

%if %{pcre}
  # -I option required for pcre 3.4 (and later?)
  CCARGS="${CCARGS} -DHAS_PCRE -I/usr/include/pcre"
  AUXLIBS="${AUXLIBS} -lpcre"
%else
  # we need to explicitly disable pcre unless asked for, otherwise it will
  # be included if present on the build system. This may cause problems.
  CCARGS="${CCARGS} -DNO_PCRE"
%endif

# Postfix compiles without needing zlib on RedHat's mysql package, but
# requires zlib when using MySQL's package or if using a locally installed
# MySQL binary.
%if %{mysql} || %{mysql_redhat}
  CCARGS="${CCARGS} -DHAS_MYSQL -I/usr/include/mysql"
  AUXLIBS="${AUXLIBS} -L/usr/%{_lib}/mysql -lmysqlclient -lm"
%endif

%if %{mysql_local}
  CCARGS="${CCARGS} -DHAS_MYSQL -I%{mysql_include}"
  AUXLIBS="${AUXLIBS} -L%{mysql_lib} -lmysqlclient -lm"
%endif

%if %{pgsql}
  CCARGS="${CCARGS} -DHAS_PGSQL -I/usr/include/pgsql"
  AUXLIBS="${AUXLIBS} -lpq -lcrypt"
%endif

%if %{sasl}
  if [ "%{sasl}" -le 1 ]; then
    %define sasl_lib_dir %{_libdir}/sasl
    CCARGS="${CCARGS} -DUSE_SASL_AUTH"
    AUXLIBS="${AUXLIBS} -L%{sasl_lib_dir} -lsasl"
  else
    %define sasl_lib_dir %{_libdir}/sasl2
    CCARGS="${CCARGS} -I/usr/include/sasl -DUSE_SASL_AUTH"
    AUXLIBS="${AUXLIBS} -L%{sasl_lib_dir} -lsasl2"
  fi
%endif

%if %{tls}
# See http://www.openldap.org/lists/openldap-devel/200105/msg00008.html
# - rh6.2 needs LIBS=-ldl to build correctly.
# - reported by Jauder Ho <jauderho@carumba.com>
  if pkg-config openssl; then
    CCARGS="${CCARGS} -DHAS_SSL `pkg-config --cflags openssl`"
    AUXLIBS="${AUXLIBS} `pkg-config --libs openssl`"
  else
    [ "%{tlsfix}" = 1 ] && LIBS=-ldl
    [ "%{tlsfix}" = 2 ] && CCARGS="${CCARGS} -I/usr/kerberos/include"
    CCARGS="${CCARGS} -DHAS_SSL -I/usr/include/openssl"
    AUXLIBS="${AUXLIBS} -lssl -lcrypto"
  fi
%endif

# Required by some TLS implementations (RHEL 3 and RH9) and also some
# MySQL packages
%if %{requires_zlib}
  AUXLIBS="${AUXLIBS} -lz"
%endif

export CCARGS AUXLIBS
make -f Makefile.init makefiles
unset CCARGS AUXLIBS
make DEBUG="%{?_with_debug:-g}" OPT="$RPM_OPT_FLAGS"

%pre
umask 022

# create postfix user and group, and maildrop group if necessary.
# Use perl rather than looking in /etc/passwd or /etc/group as this works
# in a wider NIS or LDAP environment

/usr/bin/getent group postdrop >/dev/null || {
    %whinge "Adding postdrop group to system"
    %{_sbindir}/groupadd -r postdrop
}

/usr/bin/getent group postfix >/dev/null || {
    %whinge "Adding postfix group to system"
    %{_sbindir}/groupadd -r postfix
}

/usr/bin/getent passwd postfix >/dev/null || {
    %whinge "Adding postfix user to system"
    %{_sbindir}/useradd -d %{_var}/spool/postfix -s /bin/true -g postfix -G mail -M -r postfix
}

# If Postfix is not a member of the mail group (it wasn't in older versions of
# my package) add it to the group.  This is needed for people using cyrus,
# linked by unix sockets (amongst other things)
GROUP=`id postfix | awk '{print $3}' | sed -e 's/groups=//' | grep mail`
test -z "${GROUP}" && usermod -G mail postfix || :

%install
umask 022

[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && {
    rm -rf   ${RPM_BUILD_ROOT}
    mkdir -p ${RPM_BUILD_ROOT}
}

%{?!debug:strip -R .comment --strip-unneeded bin/* libexec/*}

# rename man pages which may conflict with sendmail's
mv man/man1/mailq.1      man/man1/mailq.postfix.1
mv man/man1/newaliases.1 man/man1/newaliases.postfix.1
mv man/man1/sendmail.1   man/man1/sendmail.postfix.1
mv man/man5/aliases.5    man/man5/aliases.postfix.5

# install postfix into build root
sh postfix-install -non-interactive \
       install_root=${RPM_BUILD_ROOT} \
       config_directory=%{_sysconfdir}/postfix \
       daemon_directory=%{_libexecdir}/postfix \
       command_directory=%{_sbindir} \
       queue_directory=%{_var}/spool/postfix \
       sendmail_path=%{sendmail_path} \
       newaliases_path=%{newaliases_path} \
       mailq_path=%{mailq_path} \
       mail_owner=postfix \
       setgid_group=postdrop \
       html_directory=%{html_dir} \
       manpage_directory=%{_mandir} \
       readme_directory=%{readme_dir} || exit 1 

# RPM compresses man pages automatically.  Edit postfix-files to avoid
# confusing post-install.
ed ${RPM_BUILD_ROOT}%{_sysconfdir}/postfix/postfix-files <<EOF || exit 1
%s/\(\/man[158]\/.*\.[158]\):/\1%{mps}:/
w
q
EOF

# Change alias_maps and alias_database default directory to use
# %{_sysconfdir}/postfix
bin/postconf -c ${RPM_BUILD_ROOT}%{_sysconfdir}/postfix -e \
	"alias_maps = hash:%{_sysconfdir}/postfix/aliases" \
	"alias_database = hash:%{_sysconfdir}/postfix/aliases" \
|| exit 1

# Install Sys V init script
mkdir -p ${RPM_BUILD_ROOT}%{init_directory}
install -c %{_sourcedir}/postfix-etc-init.d-postfix \
                  ${RPM_BUILD_ROOT}%{init_directory}/postfix

install -c auxiliary/rmail/rmail ${RPM_BUILD_ROOT}%{rmail_path}

# copy new aliases files and generate a ghost aliases.db file
cp -f %{_sourcedir}/postfix-aliases ${RPM_BUILD_ROOT}%{_sysconfdir}/postfix/aliases
chmod 644 ${RPM_BUILD_ROOT}%{_sysconfdir}/postfix/aliases

touch ${RPM_BUILD_ROOT}/%{_sysconfdir}/postfix/aliases.db

for i in active bounce corrupt defer deferred flush incoming private saved \
         hold maildrop public pid; do
    mkdir -p ${RPM_BUILD_ROOT}%{_var}/spool/postfix/$i
done

# install qmqp-source, smtp-sink & smtp-source by hand
for i in qmqp-source smtp-sink smtp-source; do
  install -c -m 755 bin/$i ${RPM_BUILD_ROOT}%{_sbindir}/$i
done

# install postfinger and postfix-chroot.sh scripts
# - postfix-chroot.sh is placed in /etc/postfix to make it more visible
install -c -m 755 %{_sourcedir}/%{postfinger} ${RPM_BUILD_ROOT}%{_bindir}/postfinger
install -c -m 755 %{_sourcedir}/postfix-chroot.sh ${RPM_BUILD_ROOT}%{_sysconfdir}/postfix/

[ -d "${RPM_BUILD_ROOT}%{html_dir}" ]   || mkdir -p ${RPM_BUILD_ROOT}%{html_dir}
[ -d "${RPM_BUILD_ROOT}%{readme_dir}" ] || mkdir -p ${RPM_BUILD_ROOT}%{readme_dir}
install -c -m 644 %{_sourcedir}/README-Postfix-SASL-RedHat.txt ${RPM_BUILD_ROOT}%{readme_dir}/

# Install odd documentation files
for file in AAAREADME COMPATIBILITY COPYRIGHT HISTORY PORTING \
	RELEASE_NOTES RELEASE_NOTES-1.1 RELEASE_NOTES-2.0 \
	US_PATENT_6321267
do
	install -c -m 644 $file ${RPM_BUILD_ROOT}%{docdir}/
done
cat <<EOF >${RPM_BUILD_ROOT}%{docdir}/SEE-ALSO
%{_docdir}/%{name}-%{version} may contain other documentation files.
EOF

# added for convenience
ln -sf %{html_dir}   ${RPM_BUILD_ROOT}%{_sysconfdir}/postfix/html
ln -sf %{readme_dir} ${RPM_BUILD_ROOT}%{_sysconfdir}/postfix/readme

# Install the smtpd.conf file for SASL support.
%if %{sasl}
mkdir -p ${RPM_BUILD_ROOT}%{sasl_lib_dir}
install -m 644 %SOURCE100 ${RPM_BUILD_ROOT}%{sasl_lib_dir}/smtpd.conf
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
install -m 644 %SOURCE101 ${RPM_BUILD_ROOT}%{_sysconfdir}/pam.d/smtp.postfix
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -m 644 %SOURCE102 ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/saslauthd
%endif

# fix path to perl and certs
%if %{tls}
ed TLS/loadCAcert.pl <<EOF || exit 1
%%s,/usr/local/bin/perl,/usr/bin/perl,g
w
q
EOF
%endif

# Include README.rpm explaining where the documentation can be found and
# also pointing out how to get updated copies of my package
cat <<EOF > ${RPM_BUILD_ROOT}%{_sysconfdir}/postfix/README.rpm
README.rpm
==========

Documentation
-------------

Postfix documentation should be available in the directory %{docdir}/.
I have also added a symbolic link to the readme_files and html
directories from %{_sysconfdir}/postfix.

The main Postfix web site is http://www.postfix.org.

Packages
--------

Newer versions of source and standard binary packages may be available from
http://ftp.WL0.org or the mirrors listed at http://postfix.WL0.org.  Look
in the appropriate directory according to your distribution.

Mailing List
------------

I host a mailing list to announce new packages as they are released. If you
are interested in subscribing take a look at
http://postfix.WL0.org/en/lists/.  Previous announcements are archived.

Chrooting
---------

The chroot behaviour of my packages has changed over time. Current
packages will NOT turn on the chroot environment in Postfix.  Older
versions did the opposite.  If you upgrade from an older version
of my package the chroot behaviour will NOT be changed. (Check
%{_sysconfdir}/postfix/master.cf for details.)

I have provided a simple script postfix-chroot.sh which attempts to
cover most situations and should enable you to disable or enable the
chroot on your system with little effort.

Package Build Options
---------------------

This package can be built on several Linux distributions and with several
optional features.  %{_sysconfdir}/postfix/postfix.spec.cf contains the 
information used to build this version of the rpm. It can also
be used to build a new rpm with the same options.

Enjoy!

Simon J Mudd, <sjmudd@pobox.com>
EOF

# generate postfix.spec.cf which can be used to build a newer version of the
# rpm with the same parameters as the current package.
cat <<EOF > ${RPM_BUILD_ROOT}%{_sysconfdir}/postfix/postfix.spec.cf
#
# This file holds the configuration options used to build the postfix rpm
# you are using. You can use it to build a newer version of the package from
# the Source RPM with the same options.
#
# To do this download and install the new source RPM and do the following:
#
#	cd <PATH_TO_SOURCESDIR>
#	( . /etc/postfix/postfix.spec.cf; sh make-postfix.spec )
#	cd <PATH_TO_SPECSDIR>
#	rpmbuild -ba postfix.spec
#
# Package built on: %{build_dist_full} (%{build_dist})

POSTFIX_MYSQL=%{mysql}
POSTFIX_MYSQL_PATHS=%{mysql_paths}
POSTFIX_MYSQL_REDHAT=%{mysql_redhat}
POSTFIX_MYSQL_QUERY=%{mysql_query}
POSTFIX_LDAP=%{ldap}
POSTFIX_PCRE=%{pcre}
POSTFIX_PGSQL=%{pgsql}
POSTFIX_PGSQL2=%{pgsql2}
POSTFIX_SASL=%{sasl}
POSTFIX_TLS=%{tls}
POSTFIX_IPV6=%{ipv6}
POSTFIX_VDA=%{vda}
POSTFIX_SMTPD_MULTILINE_GREETING=%{smtpd_multiline_greeting}
POSTFIX_DB=%{requires_db}
POSTFIX_INCLUDE_DB=%{include_db}
POSTFIX_CDB=%{cdb}

# other options used in the build (but not explicitly changeable by the user) are:
# - debug=%{?_with_debug:1}%{?!_with_debug:0}
# - include_db=%{include_db}
# - pcre_requires=%{pcre_requires},
# - requires_init_d=%{requires_init_d}
# - requires_zlib=%{requires_zlib},
# - sasl_library=%{sasl_library}
# - tlsfix=%{tlsfix}
#
# %{_sysconfdir}/postfix/makedefs.out is also produced by the build and may be of
# interest if you are building Postfix by hand.
EOF

%post
umask 022

chkconfig --add postfix

# upgrade configuration files if necessary
sh %{_sysconfdir}/postfix/post-install upgrade-package \
	config_directory=%{_sysconfdir}/postfix \
	daemon_directory=%{_libexecdir}/postfix \
	command_directory=%{_sbindir} \
	mail_owner=postfix \
	setgid_group=postdrop \
	html_directory=%{html_dir} \
	manpage_directory=%{_mandir} \
	readme_directory=%{readme_dir} \
	sendmail_path=%{sendmail_path} \
	newaliases_path=%{newaliases_path} \
	mailq_path=%{mailq_path} \
|| :

%{_sbindir}/postalias %{_sysconfdir}/postfix/aliases
%{_sbindir}/postfix check || :

# Add submission to services if not found, required for rh <= 7.0
if ! grep -q ^submission %{_sysconfdir}/services
then
cat <<EOF >>%{_sysconfdir}/services
submission	587/tcp		msa	# mail message submission
submission	587/udp		msa	# mail message submission
EOF
fi

# Add smtps to services if not found
if ! grep -q ^smtps %{_sysconfdir}/services
then
cat <<EOF >>%{_sysconfdir}/services
smtps		465/tcp			# SMTP over SSL (TLS)
EOF
fi

# Apply the alternatives scripts ONLY if installing (not upgrading) to
# ensure a link exists from %{_sbindir}/sendmail to
# %{sendmail_path} (and other files).
#
# If performing an upgrade this MUST be done in the trigger scripts.
# (old postfix packages, pre-alternatives have a /usr/sbin/sendmail and this
# gets removed _AFTER_ the %post stage when the old package is removed)

[ "$1" = 1 ] || exit 0

if [ -x %{_sbindir}/alternatives ]; then
    %whinge "Fresh Postfix Install: using RH alternatives"
    %{_sbindir}/alternatives --install %{_sbindir}/sendmail mta %{sendmail_path} 30 \
        --slave %{_bindir}/mailq mta-mailq %{mailq_path} \
        --slave %{_bindir}/newaliases mta-newaliases %{newaliases_path} \
        --slave %{_bindir}/rmail mta-rmail %{rmail_path} \
        --slave %{_mandir}/man1/sendmail.1%{mps}   mta-sendmailman   %{_mandir}/man1/sendmail.postfix.1%{mps} \
        --slave %{_mandir}/man1/mailq.1%{mps}      mta-mailqman      %{_mandir}/man1/mailq.postfix.1%{mps} \
        --slave %{_mandir}/man1/newaliases.1%{mps} mta-newaliasesman %{_mandir}/man1/newaliases.postfix.1%{mps} \
        --slave %{_mandir}/man5/aliases.5%{mps}    mta-aliasesman    %{_mandir}/man5/aliases.postfix.5%{mps} \
        --initscript postfix
else
    if [ ! -e %{_sbindir}/sendmail ]; then
        %whinge "Fresh Postfix Install, no %{_sbindir}/sendmail present: simulating RH alternatives"
        ln -sf %{sendmail_path}             %{_sbindir}/sendmail
        ln -sf %{mailq_path}                %{_bindir}/mailq 
        ln -sf %{newaliases_path}           %{_bindir}/newaliases 
        ln -sf %{rmail_path}                %{_bindir}/rmail 
        ln -sf %{_mandir}/man1/sendmail.postfix.1%{mps}   %{_mandir}/man1/sendmail.1%{mps} 
        ln -sf %{_mandir}/man1/mailq.postfix.1%{mps}      %{_mandir}/man1/mailq.1%{mps} 
        ln -sf %{_mandir}/man1/newaliases.postfix.1%{mps} %{_mandir}/man1/newaliases.1%{mps} 
        ln -sf %{_mandir}/man5/aliases.postfix.5%{mps}    %{_mandir}/man5/aliases.5%{mps}
    fi
fi

# Request by Wietse: if there is a /usr/lib/sendmail file (not symbolic link),
# not owned by a package then replace it with a symbolic link to
# /usr/sbin/sendmail.
# - due to alternatives don't use %{sendmail_path}

test -f /usr/lib/sendmail && {
    rpm -qf /usr/lib/sendmail >/dev/null 2>&1 || ln -sf /usr/sbin/sendmail /usr/lib/sendmail
} || :

%triggerpostun -- sendmail

# If removing sendmail and not using alternatives: replace with postfix equivalents
%whinge "triggerpostun -- sendmail: final number of sendmail packages=$2"
[ $2 = 0 ] || exit 0

if [ -x %{_sbindir}/alternatives ]; then
    %whinge "Uninstalling sendmail, so setup Postfix: using RH alternatives"
    %{_sbindir}/alternatives --install %{_sbindir}/sendmail mta %{sendmail_path} 30 \
        --slave %{_bindir}/mailq mta-mailq %{mailq_path} \
        --slave %{_bindir}/newaliases mta-newaliases %{newaliases_path} \
        --slave %{_bindir}/rmail mta-rmail %{rmail_path} \
        --slave %{_mandir}/man1/sendmail.1%{mps}   mta-sendmailman   %{_mandir}/man1/sendmail.postfix.1%{mps} \
        --slave %{_mandir}/man1/mailq.1%{mps}      mta-mailqman      %{_mandir}/man1/mailq.postfix.1%{mps} \
        --slave %{_mandir}/man1/newaliases.1%{mps} mta-newaliasesman %{_mandir}/man1/newaliases.postfix.1%{mps} \
        --slave %{_mandir}/man5/aliases.5%{mps}    mta-aliasesman    %{_mandir}/man5/aliases.postfix.5%{mps} \
        --initscript postfix
else
    if [ ! -e %{_sbindir}/sendmail ]; then
        %whinge "Uninstalling sendmail, no %{_sbindir}/sendmail present: simulating RH alternatives"
        ln -sf %{sendmail_path}             %{_sbindir}/sendmail
        ln -sf %{mailq_path}                %{_bindir}/mailq 
        ln -sf %{newaliases_path}           %{_bindir}/newaliases 
        ln -sf %{rmail_path}                %{_bindir}/rmail 
        ln -sf %{_mandir}/man1/sendmail.postfix.1%{mps}   %{_mandir}/man1/sendmail.1%{mps} 
        ln -sf %{_mandir}/man1/mailq.postfix.1%{mps}      %{_mandir}/man1/mailq.1%{mps} 
        ln -sf %{_mandir}/man1/newaliases.postfix.1%{mps} %{_mandir}/man1/newaliases.1%{mps} 
        ln -sf %{_mandir}/man5/aliases.postfix.5%{mps}    %{_mandir}/man5/aliases.5%{mps}
    else
        :
    fi
fi

%triggerpostun -- postfix

# If upgrading postfix some versions are pre-alternatives and use
# /usr/sbin/sendmail.  After uninstalling the old package this file will be
# missing and we need to link to the new postfix sendmail binary.
%whinge "triggerpostun -- postfix: final number of Postfix packages=$2"
[ $2 -gt 0 ] || exit 0

if [ -x %{_sbindir}/alternatives ]; then
    %whinge "Upgrading Postfix: using RH alternatives"
    %{_sbindir}/alternatives --install %{_sbindir}/sendmail mta %{sendmail_path} 30 \
        --slave %{_bindir}/mailq mta-mailq %{mailq_path} \
        --slave %{_bindir}/newaliases mta-newaliases %{newaliases_path} \
        --slave %{_bindir}/rmail mta-rmail %{rmail_path} \
        --slave %{_mandir}/man1/sendmail.1%{mps}   mta-sendmailman   %{_mandir}/man1/sendmail.postfix.1%{mps} \
        --slave %{_mandir}/man1/mailq.1%{mps}      mta-mailqman      %{_mandir}/man1/mailq.postfix.1%{mps} \
        --slave %{_mandir}/man1/newaliases.1%{mps} mta-newaliasesman %{_mandir}/man1/newaliases.postfix.1%{mps} \
        --slave %{_mandir}/man5/aliases.5%{mps}    mta-aliasesman    %{_mandir}/man5/aliases.postfix.5%{mps} \
        --initscript postfix
else
    if [ ! -e %{_sbindir}/sendmail ]; then
        %whinge "Upgrading Postfix, no %{_sbindir}/sendmail present: simulating RH alternatives"
        ln -sf %{sendmail_path}                           %{_sbindir}/sendmail
        ln -sf %{mailq_path}                              %{_bindir}/mailq 
        ln -sf %{newaliases_path}                         %{_bindir}/newaliases 
        ln -sf %{rmail_path}                              %{_bindir}/rmail 
        ln -sf %{_mandir}/man1/sendmail.postfix.1%{mps}   %{_mandir}/man1/sendmail.1%{mps} 
        ln -sf %{_mandir}/man1/mailq.postfix.1%{mps}      %{_mandir}/man1/mailq.1%{mps} 
        ln -sf %{_mandir}/man1/newaliases.postfix.1%{mps} %{_mandir}/man1/newaliases.1%{mps} 
        ln -sf %{_mandir}/man5/aliases.postfix.5%{mps}    %{_mandir}/man5/aliases.5%{mps}
    else
        :
    fi
fi

%preun
umask 022

# remove the directory and depth levels of subdirectories

queue_hash_depth_remove () {
    local dir=$1
    local depth=$2
    local new_depth
    local a
    [ -d "$dir" ] && {
        if [ "$depth" -gt 0 ]; then
            new_depth=$(($depth - 1))
            for a in 0 1 2 3 4 5 6 7 8 9 A B C D E F; do
                test -d $dir/$a && queue_hash_depth_remove $dir/$a $new_depth
            done
        fi
        rm -f $dir/*
        rmdir $dir || %whinge "WARNING: preun - unable to remove directory %{_var}/spool/postfix/$dir"
    }
}

# remove the rest of the queue directory structure
queue_directory_remove () {
    # remove the hashed directories
    depth=`postconf -h hash_queue_depth`
    for dir in `postconf -h hash_queue_names | sed -e 's/,/\\
/g'`; do
        queue_hash_depth_remove $dir $depth
    done

    # now remove the other directories
    for dir in corrupt hold maildrop pid private public saved; do
        queue_hash_depth_remove $dir 0
    done
}

# No more postfix packages left so prepare to finish package removal.
# _In theory_ there is no chroot environment now, so there is no need to
# clean it out.
# However it may be prudent later to add back a call to
# /etc/postfix/postfix-chroot.sh disable
# just to make sure, but won't do this yet. (If you think I should let
# me know).
[ "$1" = 0 ] && {
    service postfix stop >/dev/null 2>&1
    chkconfig --del postfix

    if [ -x %{_sbindir}/alternatives ]; then
        %{_sbindir}/alternatives --remove mta %{sendmail_path}
    elif [ -L %{_sbindir}/sendmail} ]; then
        # check that symbolic link belongs to postfix
        if [ `ls -l %{_sbindir}/sendmail | awk '{print $11}'` = %{sendmail_path} ]; then
            # remove files
            rm -f %{_sbindir}/sendmail
            rm -f %{_bindir}/mailq
            rm -f %{_bindir}/newaliases
            rm -f %{_bindir}/rmail
            rm -f %{_mandir}/man1/sendmail.1%{mps}
            rm -f %{_mandir}/man1/mailq.1%{mps}
            rm -f %{_mandir}/man1/newaliases.1%{mps}
            rm -f %{_mandir}/man5/aliases.5%{mps}
        fi
    fi

    # userdel also deletes the user's group
    %{_sbindir}/userdel postfix   || %whinge "WARNING: failed to remove user postfix"
    %{_sbindir}/groupdel postdrop || %whinge "WARNING: failed to remove group postdrop"

    cd %{_var}/spool/postfix && {
        queue_directory_remove || :
    } || :
} || :

%postun
umask 022
[ "$1" -ge 1 ] && {
    service postfix condrestart || :
} || :

%clean
umask 022
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && {
    rm -rf ${RPM_BUILD_ROOT}
} || :

%files
%defattr(-, root, root)

%if %{sasl}
%config(noreplace) %{sasl_lib_dir}/smtpd.conf
%config(noreplace) %{_sysconfdir}/pam.d/smtp.postfix
%config(noreplace) %{_sysconfdir}/sysconfig/saslauthd
%endif

%verify(not md5 size mtime) %config %dir %{_sysconfdir}/postfix
%attr(0644, root, root)         %{_sysconfdir}/postfix/LICENSE
%attr(0755, root, root) %config %{_sysconfdir}/postfix/postfix-script
%attr(0755, root, root) %config %{_sysconfdir}/postfix/post-install
%attr(0444, root, root) %config %{_sysconfdir}/postfix/makedefs.out
%attr(0644, root, root)                                                %{_sysconfdir}/postfix/postfix-files
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/postfix/main.cf
%attr(0644, root, root)                                                %{_sysconfdir}/postfix/main.cf.default
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/postfix/master.cf
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/postfix/access
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/postfix/aliases
%attr(0644, root, root) %verify(not md5 size mtime) %ghost             %{_sysconfdir}/postfix/aliases.db
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/postfix/canonical
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/postfix/header_checks
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/postfix/relocated
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/postfix/transport
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/postfix/virtual
#%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/postfix/cidr_table
#%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/postfix/pcre_table
#%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/postfix/regexp_table
#%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/postfix/tcp_table

%attr(0644, root, root) %{_sysconfdir}/postfix/README.rpm
%attr(0644, root, root) %{_sysconfdir}/postfix/postfix.spec.cf

# convenience links
%{_sysconfdir}/postfix/html
%{_sysconfdir}/postfix/readme

%attr(0755, root, root) %{_sysconfdir}/postfix/postfix-chroot.sh

%attr(0755, root, root) %config %{init_directory}/postfix

%dir                      %verify(not md5 size mtime) %{_var}/spool/postfix

# For correct directory permissions check postfix-install script
%dir %attr(0700, postfix, root)     %verify(not md5 size mtime) %{_var}/spool/postfix/active
%dir %attr(0700, postfix, root)     %verify(not md5 size mtime) %{_var}/spool/postfix/bounce
%dir %attr(0700, postfix, root)     %verify(not md5 size mtime) %{_var}/spool/postfix/corrupt
%dir %attr(0700, postfix, root)     %verify(not md5 size mtime) %{_var}/spool/postfix/defer
%dir %attr(0700, postfix, root)     %verify(not md5 size mtime) %{_var}/spool/postfix/deferred
%dir %attr(0700, postfix, root)     %verify(not md5 size mtime) %{_var}/spool/postfix/flush
%dir %attr(0700, postfix, root)     %verify(not md5 size mtime) %{_var}/spool/postfix/hold
%dir %attr(0700, postfix, root)     %verify(not md5 size mtime) %{_var}/spool/postfix/incoming
%dir %attr(0700, postfix, root)     %verify(not md5 size mtime) %{_var}/spool/postfix/private
%dir %attr(0700, postfix, root)     %verify(not md5 size mtime) %{_var}/spool/postfix/saved
%dir %attr(0730, postfix, postdrop) %verify(not md5 size mtime) %{_var}/spool/postfix/maildrop
%dir %attr(0710, postfix, postdrop) %verify(not md5 size mtime) %{_var}/spool/postfix/public
%dir %attr(0755, root, root)        %verify(not md5 size mtime) %{_var}/spool/postfix/pid

%doc %{docdir}/AAAREADME
%doc %{docdir}/COMPATIBILITY
%doc %{docdir}/COPYRIGHT
%doc %{docdir}/HISTORY
%doc %{docdir}/PORTING
%doc %{docdir}/RELEASE_NOTES
%doc %{docdir}/RELEASE_NOTES-1.1
%doc %{docdir}/RELEASE_NOTES-2.0
%doc %{docdir}/SEE-ALSO
%doc %{docdir}/US_PATENT_6321267

%doc %dir %{readme_dir}
%doc %{readme_dir}/*
%doc %dir %{html_dir}
%doc %{html_dir}/*

%if %{tls}
%doc ACKNOWLEDGEMENTS.TLS
%doc CHANGES.TLS
%doc README.TLS
%doc TODO.TLS
%doc TLS
%doc %{tls_version}/contributed/make-postfix-cert.sh
%endif

%if %{ipv6}
%doc IPv6-ChangeLog
%endif

%dir %attr(0755, root, root) %verify(not md5 size mtime) %{_libexecdir}/postfix
%{_libexecdir}/postfix/bounce
%{_libexecdir}/postfix/cleanup
%{_libexecdir}/postfix/error
%{_libexecdir}/postfix/flush
%{_libexecdir}/postfix/lmtp
%{_libexecdir}/postfix/local
%{_libexecdir}/postfix/master
%{_libexecdir}/postfix/nqmgr
%{_libexecdir}/postfix/pickup
%{_libexecdir}/postfix/pipe
%{_libexecdir}/postfix/proxymap
%{_libexecdir}/postfix/qmgr
%{_libexecdir}/postfix/oqmgr
%{_libexecdir}/postfix/qmqpd
%{_libexecdir}/postfix/showq
%{_libexecdir}/postfix/smtp
%{_libexecdir}/postfix/smtpd
%{_libexecdir}/postfix/spawn
%{_libexecdir}/postfix/trivial-rewrite
%{_libexecdir}/postfix/verify
%{_libexecdir}/postfix/virtual

%if %{tls}
%{_libexecdir}/postfix/tlsmgr
%endif

%{_sbindir}/postalias
%{_sbindir}/postcat
%{_sbindir}/postconf
%attr(2755,root,postdrop) %{_sbindir}/postdrop
%attr(2755,root,postdrop) %{_sbindir}/postqueue
%{_sbindir}/postfix
%{_sbindir}/postkick
%{_sbindir}/postlock
%{_sbindir}/postlog
%{_sbindir}/postmap
%{_sbindir}/postsuper

%{_sbindir}/smtp-sink
%{_sbindir}/smtp-source
%{_sbindir}/qmqp-source

%{sendmail_path}
%{mailq_path}
%{newaliases_path}
%attr(0755, root, root) %{rmail_path}
%attr(0755, root, root) %{_bindir}/postfinger

%{_mandir}/*/*

##############################################################################
# List of changes made to this package.
#
# Although old entries from the changelog have been removed most of them
# are available from my CVS repository of changes made to this file.
#

%changelog

* Tue May  5 2004 Simon J Mudd <sjmudd@pobox.com> 2.1.1-1
- update to 2.1.1

* Sat May  1 2004 Simon J Mudd <sjmudd@pobox.com> 2.1.0-1
- update VDA patch, pointer from Viragh Janos <viragh@inf.u-szeged.hu>
- update IPV6 patch

* Tue Apr 27 2004 Simon J Mudd <sjmudd@pobox.com> 2.1.0-0.2
- update TLS patches
- add README-Postfix-SASL-RedHat.txt Source line

* Tue Apr 27 2004 Simon J Mudd <sjmudd@pobox.com> 2.1.0-0.1
- update to 2.1.0

* Mon Apr 19 2004 Simon J Mudd <sjmudd@pobox.com> 2.1-RC4-20040418-0.2
- thanks to Tom Diehl and others diagnose problem with a comment with
  %%install (but one percentage sign) giving all sorts of problems
- SASL readme file not found.

* Mon Apr 19 2004 Simon J Mudd <sjmudd@pobox.com> 2.1-RC4-20040418-0.1
- suffix is wrong (so revert back)
- update to RC4

* Sun Apr 18 2004 Simon J Mudd <sjmudd@pobox.com> 2.1-RC3.20040414-0.6
- revoke %if %sasl <= 1 check to using a shell if, on rh9 it fails

* Sun Apr 18 2004 Simon J Mudd <sjmudd@pobox.com> 2.1-RC3.20040414-0.5
- put documentation in %{_docdir}/%{name}-{ver}-documentation as can
  not use %{name}-%{version} as rpm's %file parsing removes this.

* Sat Apr 17 2004 Simon J Mudd <sjmudd@pobox.com> 2.1-RC3.20040414-0.3
- update to RC3
- tidy up some more with documentation

* Wed Apr 14 2004 Simon J Mudd <sjmudd@pobox.com> 2.1-RC2.20040413-0.1
- update to RC2
  - add html_dir

* Thu Apr 01 2004 Simon J Mudd <sjmudd@pobox.com> 2.1-RC1.20040331-0.1
- prepare for release candidate 1 of 2.1
- change my README files leaving one in the config directory
- move the documentation files back to %{docdir} but
  maintain symlinks from /etc/postfix for convenience.
- update postfinger to 1.29
- update SASL information borrowing the stuff from the RedHat RPM
- update ipv6 patch
- update tls patch

* Mon Mar 15 2004 Simon J Mudd <sjmudd@pobox.com> 2.0.19-1
- recognise rhel-3.0WS and also show the full distribution the rpm was built
  on. This allows us to distinguish a build on Whitebox and RedHat Enterprise
  Linux.  Problem noted by Tom Diehl <tdiehl@rogueind.com>

* Sun Feb 01 2004 Simon J Mudd <sjmudd@pobox.com> 2.0.18-20040122-0.2
- update to 2.0.18-20040122
- update patches (TLS, IPv6, VDA)
- tidyup macro names:
	vdaver		vda_version
	pfixtls		tls_version
	pgver		pg_version
	pfixipv6	ipv6_version
	cdbver		cdb_version
- incorporate some of the differences in 2.0.18 (2.0)

* Thu Nov 20 2003 Simon J Mudd <sjmudd@pobox.com> 2.0.16-20031113-0.2
  - add /usr/bin/cc as requirement

* Fri Nov 14 2003 Simon J Mudd <sjmudd@pobox.com> 2.0.16-20031113-0.1
  - update to latest snapshot
  - add anvil daemon
  - add missing documentation files

* Thu Sep 11 2003 Simon J Mudd <sjmudd@pobox.com> 2.0.14-20030812-2
  - various updates:
    - support for sasl/pcre libraries on Mandrake

* Fri Aug 29 2003 Simon J Mudd <sjmudd@pobox.com> 2.0.14-20030812-1
  - update with help from Rob Hutton <rob.hutton@comcast.net>

* Tue Aug 26 2003 Simon J Mudd <sjmudd@pobox.com> 2.0.9-20030424-1.100
  - update to sync with 2.0.14-1, doing little more than removing chroot
    functionality, replacing with postfix-chroot.sh

* Sun Jul 13 2003 Simon J Mudd <sjmudd@pobox.com> 2.0.9-20030424-1.99
  - general tidyup compared to 2.0.13-3.1, ready to update again.

* Tue May 06 2003 Simon J Mudd <sjmudd@pobox.com> 2.0.9-20030424-1
  - update to latest snapshot

* Fri Feb 20 2003 Simon J Mudd <sjmudd@pobox.com> 2.0.4-20030219-1
  - update to latest snapshot

* Mon Feb 17 2003 Simon J Mudd <sjmudd@pobox.com> 2.0.3-20030126-2
  - update to latest snapshot
  - update TLS patches
  - update IPv6 patches
  - update postfix-new-RPM-packages -> postfix-RPM-new-packages
  - add postfix-RPM-TODO
  - don't allow rpm to build using a spec file built for another distribution

* Thu Jan 16 2003 Simon J Mudd <sjmudd@pobox.com> 2.0.2-20030115-1
  - update URLs in rpm -qi postfix output
  - update postfix-new-RPM-packages
  - update to 2.0.2-20030115
  - remove postfix-makedefs.patch (to not force pcre installaton)
  - update VDA patch
  - update TLS patches
  - update CDB patches

* Thu Jan 09 2003 Simon J Mudd <sjmudd@pobox.com> 2.0.0-20030109-0.1
  - update to 2.0.0-20030109-0.1

* Wed Jan 08 2003 Simon J Mudd <sjmudd@pobox.com> 2.0.0-20030107-1.1
  - update ipv6 patch to tls+ipv6-1.10-pf-2.0.0-20030101.patch.gz

* Wed Jan 08 2003 Simon J Mudd <sjmudd@pobox.com> 2.0.0-20030107-1
  - fix master.cf: virtual should not be chrooted
    - problem reported by Alex Kramarov <alex@incredimail.com>
  - update to 2.0.0-20030107
  - restore postfix-files.patch as Wietse has now included
    ADDRESS_VERIFICATION_README (was SENDER_VERFICATION_README)
  - cosmestic: lowercase some macro names
    - SMTPD_MULTILINE_GREETING -> smtpd_multiline_greeting
    - REQUIRES_INIT_D -> requires_init_d
  - include new proxymap binary

* Tue Dec 31 2002 Simon J Mudd <sjmudd@pobox.com> 2.0.0-20021223-1
  - update to latest snapshot
  - add IPv6 support (ported from POSTFIX_2 branch), and update patche to
    tls+ipv6-1.10-pf-2.0.0-20021223
  - add missing verify daemon
  - add RELEASE_NOTES for 1.1 and 2.0 for reference
  - modify postfix-files.patch to include SENDER_VERIFICATION_README
  - Note: TLS patches unavailable for this snapshot

* Fri Dec 20 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.12-20021219-1
  - update to latest snapshot
  - update TLS patches

* Thu Dec 19 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.12-20021218-1
  - update to latest snapshot

* Sun Dec 15 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.12-20021214-1
  - rename macro: DISABLE_CHROOT -> disable_chroot
  - remove (duplicate) LICENSE from %doc directory
  - remove RELEASE_NOTES from %doc directory, it is now installed in
    the %readme_dir ( /etc/postfix/README_FILES )
  - update to latest snapshot
  - update TLS patches to 0.8.12-1.1.12-20021214-0.9.6h

* Tue Dec 10 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.12-20021209-1
  - update to 1.1.12-20021209
  - remove postfix-config.patch, not sure when it was added.
  - patch makedefs to ensure that pcre support is NOT automatically
    included unless explicitly requested
  - update glibc chroot creation
  
* Mon Dec 09 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.12-20021202-1
  - update TLS patches
  - tidy up postfix queue removal on package deletion
  - fix chroot_remove - it was not removing all chroot files
  - /usr/lib/sendmail -> /usr/sbin/sendmail check needed fixing in light of
    Postfix and sendmail existing on the machine at the same time.
    - Move it's invocation which should have been in %post, not in %preun

* Mon Dec 02 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.12-20021202-1
  - update to latest snapshot

* Mon Dec 02 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.12-20021124-2
  - remove pflogsum, now a seperate package

* Tue Nov 26 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.12-20021124-1
  - add missing hold queue
  - remove unneeded RBL patch, now included in the standard sources
  - fix cyrus-sasl-devel which in mandrake is libsasl-devel
    fix log file location for pflogsumm.pl for Mandrake
    - Jim Lohiser <jim@imaginenet.net> pointed out the problem
  - make-postfix.spec: if POSTFIX_DB=0 (and is not default) don't add stupid
    .db0 suffix.
  - Add AutoReq: no to avoid perl Date::Calc dependencies
  - update to 1.1.12-20021124-1
  - rename multiline-greeting patch, and add URL to its location

* Fri Nov 22 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.11-20021115-1
  - first build for a while on a snapshot.

* Fri Nov 22 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.11-13
  - modify make-postfix.spec and postfix.spec.in to work correctly with RH 8
    and the new db4 files.
    - Thanks to  Josep M. <websurfer_email@yahoo.es> for lending me a rh8
      machine to test this on.
  - modify postfix-get-distribution to recognise Yellowdog Linux
    - thanks to Emmanuel Seyman <seyman@acticiel.com> for testing

* Mon Oct 28 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.11-12
  - The man page links when using /usr/sbin/alternatives didn't correctly
    link the sendmail.postfix man page to the sendmail man page.
    Consequently man sendmail/newaliases/mailq would fail.  This does not
    affect users of rh before 7.3 where /usr/sbin/alternatives does not exist.

* Mon Oct 28 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.11-11
  - add support for Constant Database, CDB, by Michael Tokarev
    <mjt@corpit.ru>, as originally devised by djb.

* Mon Oct 21 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.11-10
  - add Victor Duchovni's log_recipient patch

* Sat Oct 19 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.11-9
  - 1.1.11-8 was released with an error. (multiline patch was wrong)
    This releases fixes the problem.

* Fri Oct 18 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.11-8
  - add optional RBL_MAP patch from Lamont Jones <lamont@hp.com>,
    applied with POSTFIX_RBL_MAPS=1 when used with make-postfix.spec
  - convert src/smtpd/smtpd_chat.c provided by Wietse from the
    1.2-snapshots into a diff, applying the patch at his request
  - modify multiline_banner patch to work with new smtpd_chat.c

* Mon Jul 15 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.11-7
  - update the TLS patches
  - update the VDA patches

* Mon Jul 15 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.11-6
  - add MANPAGE_SUFFIX in make-postfix.spec and %{mps} in spec file
    to allow Mandrake 8's .bz2 man page suffix to be used.
    - Erin Schnabel <erin@haaser.com>
  - add BuildRequires: rpm >= 4 to ensure that the spec file is used correctly.
    RH6.1 builds failed due to rpm v3 not processing the %if macros correctly.

* Fri Jul 12 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.11-5
  - remove debugging which was enabled when it shouldn't have been
    - reported by "Weisz, Norbert" <norbert.weisz@hp.com>
  - add Postfix user to mail group, so that it can be used more easily
    with cyrus.
    - suggestion by Christopher D. Audley <Christopher.D.Audley@jhu.edu>

* Mon Jul 08 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.11-4
  - fix typo in use of alternatives (missing backslashes)
    - reported by David Elliot <daveelliot@yahoo.com>

* Sat Jul 06 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.11-3
  - add Provides: %{_bindir}/newaliases to satisfy mailman
    - reported by Tom Diehl <tdiehl@rogueind.com>

* Fri Jul 05 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.11-2
  - Add support for alternatives (needed on RH 7.3)
    - based on patch provided by Christopher D. Audley
      <Christopher.D.Audley@jhu.edu>.
    - works on 7.3 and earlier distributions, simulating the alternatives
      package if it is not present.
    - other minor fixes based on suggestions from various testers:
      - Scott A. Hughes <sahughes@sanguine.net> 
      - Tom Diehl <tdiehl@rogueind.com>
      - Emmanuel Seyman <seyman@acticiel.com>
      - Norbert Weisz <norbert.weisz@hp.com> 

* Sun Jun 09 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.11-1
  - update to postfix-1.1.11
  - support for building with db3 on rh6.x - patch provided by
     Frederic Hermann <Frederic.Hermann@ferma.fr>
  - remove FQDN hostname checks - request by Wietse

* Sun May 19 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.10-1
  - fix debug macro bug, reported by  Christopher Audley <Christopher.D.Audley@jhu.edu>  
  - upgrade to 1.1.10
  - upgrade TLS patch

* Tue Apr 30 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.7-6
  - /lib/lidbdb.so is not needed within the chroot (it's used only by the 
    db[34]-devel packages).  So remove it.  Symptom: error message
    "cp: cannot stat `/lib/libdb.so" on machines which didn't have
    db[34]-devel installed.
    - Reported by Bill Landry <BillL@Pointshare.com>

* Sun Apr 28 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.7-5
  - various changes suggested by Todd <Freedom_Lover@bigfoot.com>
    - minor change to redhatmysql support, removing unneeded
    Requires:
    - minor change to TLS support, moving documentation to
    /usr/share/doc/postfix-1.1.7/TLS/
    - inclusion of Postfix examples directory which was missing
  - chroot environment changes: after removing chroot-setup-LINUX2 and
    replacing it with triggerin scripts some files were missing.  Fixed

* Thu Apr 18 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.7-4
  - bugfix: add Source2: postfix-get-distribution
    - advised by "Weisz, Norbert" <Norbert.Weisz@Compaq.com>

* Thu Apr 18 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.7-3
  - changes to names and stuff in spec file (basic tidy-up)
  - add qmqp-source
  - changes to use triggerin macros instead of chroot stuff
    - mainly taken from Bero and Tuomo's Postfix spec files
  - remove changelog entries for before 01-01-2002, they can still be recovered
    from my CVS archives.
  - useradd/groupadd of postfix/postdrop have been modified to not specify
    a specific user/group id.  rpm uses the name when checking permissions and
    postfix's main.cf also works with names so don't insist on specific ids.
    the uid/gids created are system accounts.
  - upgrade VDA patch to 1.1.6

* Wed Apr 10 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.7-2
  - bug fix to copy_cmd macro which was causing lots of grief

* Mon Apr 01 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.7-1
  - update to 1.1.7

* Mon Apr 01 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.6-1
  - upgrade to 1.1.6
  - minor changes to 1postfix
  - remove smtp-helo-name patch
  - update TLS patches

* Wed Mar 20 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.5-3
  - include Wietse's smtp-helo-name patch

* Wed Mar 13 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.5-2
  - upgrade TLS patches to 0.8.5

* Tue Mar 12 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.5-1
  - upgrade to postfix-1.1.5

* Tue Mar 12 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.4-4
  2 patches provided by Robert L Mathews <rob@tigertech.com> 
  - add support via POSTFIX_DISABLE_CHROOT=1 to disable standard chroot
    setup in package.
  - add support for explicitly defining the postfix uid/gid in spec file
    via POSTFIX_UID=... and POSTFIX_GID=...

* Fri Mar 08 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.4-3
  - add patch to BuildRequires!
  - add separate Postgres support patches into two parts
    - standard Postgres patches from Mathieu Arnold <arn_mat@club-internet.fr>
    - other experimental patch by George Barbarosie <georgeb@intelinet.ro>

* Fri Mar 01 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.4-2
  - add Postgres Database support: George Barbarosie <georgeb@intelinet.ro>
  - update TLS patches: Dominik Mierzejewski <dominik@aaf16.warszawa.sdi.tpnet.pl>
  - update /etc/cron.daily/1postfix script: Dominik/Simon

* Mon Feb 25 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.4-1
  - add virtual delivery agent patch, from http://www.oav.net/~kiwi/postfix
    - requested by  D M <dcm_scorpio@hotmail.com> 
  - upgrade to pflogsumm.pl 1.0.4
  - upgrade to postfix-1.1.4
  - minor modification to postfix-etc-init.d-postfix so it works correctly
    with condrestart

* Wed Feb 20 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.3-2
  - after looking at Bero's version of my rpm make some mainly cosmetic
    changes

* Sun Feb 03 2002 Simon J Mudd <sjmudd@pobox.com>
- postfix-1.1.3-1
  - update to postfix-1.1.3

* Fri Jan 25 2002 Simon J Mudd <sjmudd@pobox.com>
- postfix-1.1.2-1
  - update to postfix-1.1.2

- postfix-1.1.1-1
  - update TLS patch - pfixtls-0.8.1-1.1.1-0.9.6c

* Tue Jan 22 2002 Simon J Mudd <sjmudd@pobox.com>
- postfix-1.1.1-1
  - update to postfix-1.1.1
  - update TLS patch - pfixtls-0.8.0-1.1.0-0.9.6c

* Mon Jan 21 2002 Simon J Mudd <sjmudd@pobox.com>
- postfix-1.1.0-3, check for /usr/lib/sendmail and if it is a file NOT
    owned by another package: replace it with a symbolic link to
    /usr/sbin/sendmail [requested by Wietse to avoid upgrade problems]
  - add patch to postqueue provided by LaMont Jones <lamont@security.hp.com>
  - update TLS patch - pfixtls-0.7.16-1.1.0-0.9.6c

* Sat Jan 19 2002 Simon J Mudd <sjmudd@pobox.com>
- postfix-1.1.0-2, add serial tag, so that this version appears newer
  to RPM than version previous 200xmmdd versions.
  - thanks to Dominik Mierzejewski <dominik@aaf16.warszawa.sdi.tpnet.pl>
    for pointing this out to me.

* Sat Jan 19 2002 Simon J Mudd <sjmudd@pobox.com>
- postfix-1.1.0, update to the latest official release
  - tidying up of the spec file to fit in line with Wietse's new
    naming convention.

* Wed Jan 16 2002 Simon J Mudd <sjmudd@pobox.com>
- snapshot-20020115-1, update to latest snapshot
  - fix postfix-files to reflect compressed man pages

* Tue Jan 15 2002 Simon J Mudd <sjmudd@pobox.com>
- snapshot-20020113-1, update to latest snapshot
  - sample files have moved, they are now (temporarily?) in /etc/postfix
    following Wietse's wish.

* Fri Jan 11 2002 Simon J Mudd <sjmudd@pobox.com>
- snapshot-20020111-1, update to latest snapshot

* Fri Jan 11 2002 Simon J Mudd <sjmudd@pobox.com>
- snapshot-20020110-1, update to latest snapshot
  - update install procedures
    - use patch provided by Victor Duchovni to ensure the installation works
      as expected.

* Wed Jan 09 2002 Simon J Mudd <sjmudd@pobox.com>
- snapshot-20020107-1, update to latest snapshot
  (candidate for next official postfix release)

* Wed Jan 01 2002 Simon J Mudd <sjmudd@pobox.com>
- snapshot-20011226-1, update to latest snapshot
